## Apache Zeta Components Manual :: Docs For Class ezcBaseInvalidParentClassException

### Base::ezcBaseInvalidParentClassException

### Class ezcBaseInvalidParentClassException

Exception that is thrown if an invalid class is passed as custom class.

Source for this file: /Base/src/exceptions/invalid_parent_class.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBaseInvalidParentClassException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcBaseInvalidParentClassException | `__construct( $expectedParentClass , $customClass )` Constructs an ezcBaseInvalidParentClassException for custom class $customClass

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcBaseInvalidParentClassException __construct( string $expectedParentClass , string $customClass )

Constructs an ezcBaseInvalidParentClassException for custom class $customClass

##### Parameters:

Name | Type | Description
--- | --- | ---
`$expectedParentClass` | string |
`$customClass` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3